%define name faac
%define version 1.25
%define rel 1
%define subrel 1
%define release %mkrel %rel
%define distsuffix plf

%define major 0

%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%if %mdkversion <= 900
%define libname lib%name%{major}
%else
%define libname %mklibname %name %major
%endif

Summary: Freeware Advanced Audio Encoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/faac/%{name}-%{version}.tar.bz2
Patch0: faac-1.25-libmp4v2.patch
URL:	 http://www.audiocoding.com
License: LGPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libsndfile-devel
BuildRequires: autoconf2.5
BuildRequires: dos2unix
#gw else the detection for libmp4v2 kicks in
BuildConflicts: %libname-devel < %epoch:%version-%release
BuildRequires: libmpeg4ip-devel
Epoch: 1

%description
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package is in PLF, as the MPEG-4 format is covered by software patents.
%package -n %libname
Summary: Free Advanced Audio Encoder shared library
Group: System/Libraries

%description -n %libname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the shared library needed by programs based on
libfaac.

This package is in PLF, as the MPEG-4 format is covered by software patents.
%package -n %libname-devel
Summary: Free Advanced Audio Encoder development files
Group: Development/C++
Requires: %libname = %epoch:%version
Provides: lib%name-devel = %epoch:%version-%release 

%description -n %libname-devel
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the needed files for compiling programs with
libfaac.

This package is in PLF, as the MPEG-4 format is covered by software patents.
%prep
%setup -q -n %name
dos2unix configure.in
%patch0 -p1
aclocal
autoheader
libtoolize --automake
automake --add-missing --copy
WANT_AUTOCONF_2_5=1 autoconf

%build
%configure2_5x --with-mp4v2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# manual header installation
mkdir -p %buildroot/%_includedir
cp include/*h %buildroot/%_includedir


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README TODO ChangeLog
%_bindir/faac

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaac*so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*a
%_includedir/*

%changelog
* Sun Dec 30 2007 Anssi Hannula <anssi@zarb.org> 1.25-1.1plf2008.0
- really build with external mp4v2 (libmp4v2.patch from dag)

* Sun Aug 13 2006 Gtz Waschk <goetz@zarb.org> 1.25-1plf2007.0
- new version

* Mon Sep  5 2005 Gtz Waschk <goetz@zarb.org> 1.24.1-0.20050901.2plf
- build with external mp4v2

* Thu Sep  1 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20050901.1plf
- new snapshot

* Thu Jun 16 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20041018.4plf
- fix automake calls

* Thu Jun 16 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20041018.3plf
- reenable mp4v2
- fix header installation

* Wed Jun 15 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20041018.2plf
- obsolete libmp4v2 package (bug #37)

* Sat Apr 23 2005 Gtz Waschk <goetz@zarb.org> 1.24.1-0.20041018.1plf
- add mp4v2
- new version

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.24-5plf
- fix URL

* Tue Jun  8 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-4plf
- rebuild against fixed libmp4

* Mon Jun  7 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-3plf
- fix buildrequires
- new g++

* Fri Apr 23 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-2plf
- drop prefix
- fix devel deps

* Thu Apr 22 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-1plf
- fix buildrequires
- update descriptions
- new version

* Mon Feb  9 2004 Gtz Waschk <goetz@plf.zarb.org> 1.23.5-1plf
- mdkversion macro
- new version

* Thu Nov 13 2003 Gtz Waschk <goetz@plf.zarb.org> 1.23.1-1plf
- fix buildrequires
- new version

* Wed Aug 27 2003 Gtz Waschk <goetz@plf.zarb.org> 1.20.1-1plf
- new version

* Fri Jul 11 2003 Gtz Waschk <goetz@plf.zarb.org> 1.17b-0.20030605.1plf
- mklibname macro
- fix buildrequries
- add an epoch tag
- drop the patch
- new version

* Fri Mar  7 2003 Gtz Waschk <goetz@plf.zarb.org> 20011026-4plf
- port to libsndfile1

* Mon Nov  4 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20011026-3plf
- buildrequire older automake
- explicitely buildrequire libsndfile0-devel

* Fri Aug 16 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20011026-2plf
- gcc 3.2 rebuild

* Wed Jul 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20011026-1plf
- initial package
